Skip to content

Check out a story

POST
/cms/print/v2/stories/{id}/lock
curl --request POST \
--url https://api.example.com/cms/print/v2/stories/1/lock \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--header 'Token-User: <Token-User>' \
--data '{ "takeover": true }'

Same rules as checking out a page. Returns the story with its current revision: download its file if yours is older before editing.

id
required
integer
Media typeapplication/json
object
takeover
boolean

Example generated

{
"takeover": true
}

The story, checked out

LOCKED